import { getApiLoading } from '@/common/libraries/apiLoading'
import { Apis } from '@/gen/Apis'
import useModel from './model'
import { useWeAppAuthStore } from '@/common'
const auth = useWeAppAuthStore()
export default {
  getBanner() {
    getApiLoading(Apis.Banner.BannerSpaces.List, { id: 1 }).then(res => {
      if (res?.data) {
        useModel.bannerData.value = res.data
      }
      console.log(res)
    })
  },
  getCountBills() {
    getApiLoading(Apis.Bill.HouseBills.GetCountBills, {}).then(res => {
      if (res?.data) {
        useModel.countBills.value = res?.data?.count
      }
      console.log(res)
    })
  }
}
